import { getWebLocation, getWindow } from "primeobjects-helper-util";
import { slug } from "primeobjects-helper-util/build/cjs/slug";
export var downloadFile = function (url, id) {
    var webLocation = getWebLocation(url);
    if (webLocation) {
        var win = getWindow();
        var doc = win.document;
        var cid = "download-".concat(id);
        var tempLink = doc.getElementById(cid);
        if (!tempLink)
            tempLink = doc.createElement("a");
        var fileName = slug(webLocation.url[webLocation.url.split("/").length - 1]);
        tempLink.style.display = "none";
        tempLink.href = url;
        tempLink.setAttribute("download", fileName);
        tempLink.setAttribute("target", "_blank");
        document.body.appendChild(tempLink);
        tempLink.click();
    }
};
//# sourceMappingURL=download.js.map